QCylinderMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses.">

- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DExtras
- QCylinderGeometry
- Qt 6.5.1 Reference Documentation

# QCylinderGeometry Class

class Qt3DExtras::QCylinderGeometry

The QCylinderGeometry class allows creation of a cylinder in 3D space. * * * * * The QCylinderGeometry class is most commonly used internally by the QCylinderMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses. More...

Header: | #include <Qt3DExtras/QCylinderGeometry>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | CylinderGeometry
Inherits: | Qt3DCore::QGeometry

- List of all members, including inherited members

## Properties

indexAttribute : Qt3DCore::QAttribute* const length : float normalAttribute : Qt3DCore::QAttribute* const positionAttribute : Qt3DCore::QAttribute* const | radius : float rings : int slices : int texCoordAttribute : Qt3DCore::QAttribute* const

## Public Functions

| QCylinderGeometry(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QAttribute * | indexAttribute() const
float | length() const
Qt3DCore::QAttribute * | normalAttribute() const
Qt3DCore::QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
Qt3DCore::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

## Public Slots

void | setLength(float length)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | lengthChanged(float length)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

* * * *

## Property Documentation

### `[read-only]` indexAttribute : Qt3DCore::QAttribute* const

Holds the geometry index attribute.

Access functions:

Qt3DCore::QAttribute * | indexAttribute() const

### length : float

Holds the length of the cylinder.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### `[read-only]` normalAttribute : Qt3DCore::QAttribute* const

Holds the geometry normal attribute.

Access functions:

Qt3DCore::QAttribute * | normalAttribute() const

### `[read-only]` positionAttribute : Qt3DCore::QAttribute* const

Holds the geometry position attribute.

Access functions:

Qt3DCore::QAttribute * | positionAttribute() const

### radius : float

Holds the radius of the cylinder.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the cylinder.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the cylinder.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### `[read-only]` texCoordAttribute : Qt3DCore::QAttribute* const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DCore::QAttribute * | texCoordAttribute() const

## Member Function Documentation

### `[explicit]` QCylinderGeometry::QCylinderGeometry(Qt3DCore::QNode *parent = nullptr)

Constructs a new QCylinderMesh with parent.

### void QCylinderGeometry::updateIndices()

Updates the indices based on rings, slices, and length properties.

### void QCylinderGeometry::updateVertices()

Updates the vertices based on rings, slices, and length properties.